cURL
curl --request GET \ --url https://api.intelligence.io.solutions/api/r2r/v3/users/me \ --header 'Authorization: Bearer <token>'
{ "results": { "id": "id", "email": "email", "is_active": true, "is_superuser": true, "created_at": "2024-01-15T09:30:00Z", "updated_at": "2024-01-15T09:30:00Z", "is_verified": true, "collection_ids": [ "collection_ids" ], "graph_ids": [ "graph_ids" ], "document_ids": [ "document_ids" ], "limits_overrides": { "key": "value" }, "metadata": { "key": "value" }, "verification_code_expiry": "2024-01-15T09:30:00Z", "name": "name", "bio": "bio", "profile_picture": "profile_picture", "total_size_in_bytes": 1, "num_files": 1, "account_type": "account_type", "hashed_password": "hashed_password", "google_id": "google_id", "github_id": "github_id" } }
Get detailed information about the currently authenticated user.
Documentation IndexFetch the complete documentation index at: https://io.net/docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://io.net/docs/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
200
Show child attributes
Was this page helpful?